from fastapi import APIRouter, HTTPException, status

from app.api.dependencies import CurrentOwnerUser, SessionDep
from app.schemas.shop_schemas import ShopCreate
from app.schemas.user_schemas import Token
from app.crud.shop_crud import create_shop

router = APIRouter(prefix="/shop", tags=["Dashboard"])


@router.post("", response_model=bool, status_code=201)
def register_new_shop(
    session: SessionDep,
    current_user: CurrentOwnerUser,
    shop_data: ShopCreate
) -> Token:
    create_shop(session, shop_data, current_user)
    return True
